Page MenuHomePhabricator

Pages in [[Category:Pages using duplicate arguments in template calls]] should show which template and which parameter are the duplicate
Closed, ResolvedPublic

Description

Pages in [[Category:Pages using duplicate arguments in template calls]] (see https://www.wikidata.org/wiki/Q18338361 ) should show which template and which parameter are the duplicates. Pages are added to that category automatically through some undocumented process, and at least on Commons, for a lot of pages it is close to impossible to trace which template and which parameter are the duplicates. So I would propose to show some error code in red with that information.

Event Timeline

Jarekt created this task.Dec 27 2014, 3:08 AM
Jarekt raised the priority of this task from to Needs Triage.
Jarekt updated the task description. (Show Details)
Jarekt added a subscriber: Jarekt.
RP88 added a subscriber: RP88.Dec 28 2014, 5:10 AM
Aklapper triaged this task as Lowest priority.Dec 28 2014, 3:32 PM
Aklapper added a project: MediaWiki-Categories.

Change 168607 had a related patch set uploaded (by Jackmcbarn):
Warn when duplicate arguments are found

https://gerrit.wikimedia.org/r/168607

Patch-For-Review

It has been 3 months. Any chance this patch can be rolled out. There are 74k pages in https://commons.wikimedia.org/wiki/Category:Pages_using_duplicate_arguments_in_template_calls, and some duplicated are very hard to find.

Latest patchset on https://gerrit.wikimedia.org/r/#/c/168607/ got a +1 so someone needs to merge...

Change 168607 merged by jenkins-bot:
Warn when duplicate arguments are found

https://gerrit.wikimedia.org/r/168607

Jackmcbarn closed this task as Resolved.May 28 2015, 5:54 PM
Jackmcbarn claimed this task.
Ricordisamoa set Security to None.
Ricordisamoa removed a subscriber: gerritbot.
Ricordisamoa added a subscriber: Ricordisamoa.